## org.jfree.data.xy
Interface XisSymbolic

    public interface XisSymbolic

Represent a data set where X is a symbolic values. Each symbolic value is linked with an Integer.

Method Summary
`java.lang.String` `getXSymbolicValue(java.lang.Integer val)` Returns the symbolic value linked with the specified `Integer`.
`java.lang.String` `getXSymbolicValue(int series, int item)` Returns the symbolic value of the data set specified by `series` and `item` parameters.
`java.lang.String[]` `getXSymbolicValues()` Returns the list of symbolic values.

Method Detail

### getXSymbolicValues

    java.lang.String[] getXSymbolicValues()

  Returns the list of symbolic values.

  Returns:
    An array of symbolic values.

### getXSymbolicValue

    java.lang.String getXSymbolicValue(int series,
                                       int item)

  Returns the symbolic value of the data set specified by `series` and `item` parameters.

  Parameters:
    `series` - value of the serie.
    `item` - value of the item.
  Returns:
    The symbolic value.

### getXSymbolicValue

    java.lang.String getXSymbolicValue(java.lang.Integer val)

  Returns the symbolic value linked with the specified `Integer`.

  Parameters:
    `val` - value of the integer linked with the symbolic value.
  Returns:
    The symbolic value.